diff --git a/spring-test/src/main/java/org/springframework/mock/http/server/reactive/MockServerHttpRequest.java b/spring-test/src/main/java/org/springframework/mock/http/server/reactive/MockServerHttpRequest.java
index 356367c55d6..90eeb86054d 100644
--- a/spring-test/src/main/java/org/springframework/mock/http/server/reactive/MockServerHttpRequest.java
+++ b/spring-test/src/main/java/org/springframework/mock/http/server/reactive/MockServerHttpRequest.java
@@ -232,6 +232,8 @@ public static BodyBuilder method(HttpMethod method, URI url) {
 	 * @return the created builder
 	 */
 	public static BodyBuilder method(HttpMethod method, String urlTemplate, Object... vars) {
+		Assert.notNull(method, "HttpMethod is required. If testing a custom HTTP method, " +
+				"please use the variant that accepts a String based HTTP method.");
 		URI url = UriComponentsBuilder.fromUriString(urlTemplate).buildAndExpand(vars).encode().toUri();
 		return new DefaultBodyBuilder(method, url);
 	}
diff --git a/spring-web/src/testFixtures/java/org/springframework/web/testfixture/http/server/reactive/MockServerHttpRequest.java b/spring-web/src/testFixtures/java/org/springframework/web/testfixture/http/server/reactive/MockServerHttpRequest.java
index 96708ef2fb5..9a468cb9937 100644
--- a/spring-web/src/testFixtures/java/org/springframework/web/testfixture/http/server/reactive/MockServerHttpRequest.java
+++ b/spring-web/src/testFixtures/java/org/springframework/web/testfixture/http/server/reactive/MockServerHttpRequest.java
@@ -232,6 +232,8 @@ public static BodyBuilder method(HttpMethod method, URI url) {
 	 * @return the created builder
 	 */
 	public static BodyBuilder method(HttpMethod method, String urlTemplate, Object... vars) {
+		Assert.notNull(method, "HttpMethod is required. If testing a custom HTTP method, " +
+				"please use the variant that accepts a String based HTTP method.");
 		URI url = UriComponentsBuilder.fromUriString(urlTemplate).buildAndExpand(vars).encode().toUri();
 		return new DefaultBodyBuilder(method, url);
 	}
